package de.apps4ics.mountainnavigation.pois;

/**
 * Created by Vinz on 03.11.2015.
 */
public class Image extends Poi {
    byte[] image;
    int associated_poi_type;

    public Image(long _id) {
        super(_id, Types.PIC);
    }
    public Image(){
        super(Types.PIC);
    }
    public Image(long _id, byte[] image, int associated_poi_type, DbGeoPoint gp){
        super(_id, Types.PIC, gp);
        this.image = image;
        this.associated_poi_type = associated_poi_type;
    }

    public int getAssociatedPoiType(){
        return associated_poi_type;
    }

    public byte[] getImage(){
        return image;
    }
}